<?php

namespace App\Http\Middleware;

use Closure;
use Auth;
class CheckSupplier
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if ( Auth::user() ) {
        if (  Auth::user()->is_supplier ) {
              Auth::logout();
            return redirect('/login');
        }
    }
        return $next($request);
    }
}
